<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: Object.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('Object_8hpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Object.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;gst/gstobject.h&quot;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacegst.html">gst</a></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;{</div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="classgst_1_1Object.html">   12</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classgst_1_1Object.html">Object</a></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    {</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;      <span class="keyword">private</span>:</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;        <span class="keywordtype">bool</span> moved;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;        GstObject *object_ref;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;      <span class="keyword">public</span>:</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        <a class="code" href="classgst_1_1Object.html">Object</a>(<a class="code" href="classgst_1_1Object.html">Object</a> &amp;other);</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        <a class="code" href="classgst_1_1Object.html">Object</a> &amp;operator=(<a class="code" href="classgst_1_1Object.html">Object</a> <span class="keyword">const</span> &amp;other);</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <a class="code" href="classgst_1_1Object.html">Object</a>(<a class="code" href="classgst_1_1Object.html">Object</a> &amp;&amp;other);</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <a class="code" href="classgst_1_1Object.html">Object</a> &amp;operator=(<a class="code" href="classgst_1_1Object.html">Object</a> &amp;&amp;other);</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        <span class="comment">// Pad operator[](std::string);</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;        <a class="code" href="classgst_1_1Object.html">Object</a>(GstObject *ref);</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        ~<a class="code" href="classgst_1_1Object.html">Object</a>();</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        GstObject *ref() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        std::string get_name() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;        uint32_t refcount();</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        <span class="keywordtype">void</span> set_name(std::string name);</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        <span class="keywordtype">void</span> set_property_from_string(std::string property_name, std::string value) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        std::string get_property(std::string property_name) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        <span class="comment">// TODO: Find generic way to add signal callback without C vararg</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <span class="comment">// template &lt;typename F&gt; void signal_connect(std::string signal_name, F callback);</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    };</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;} <span class="comment">// namespace gst</span></div>
<div class="ttc" id="aclassgst_1_1Object_html"><div class="ttname"><a href="classgst_1_1Object.html">gst::Object</a></div><div class="ttdoc">C++ Wrapper around GstObject meant to be used in harmony with the other elements only provides virtua...</div><div class="ttdef"><b>Definition:</b> Object.hpp:13</div></div>
<div class="ttc" id="anamespacegst_html"><div class="ttname"><a href="namespacegst.html">gst</a></div><div class="ttdoc">Namespace for all GStreamer an GLib Wrappers.</div><div class="ttdef"><b>Definition:</b> Bin.hpp:7</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_a7bb9b575703809b9fbb7ad7f723668f.html">local_app</a></li><li class="navelem"><a class="el" href="dir_81b007610a59bc1f4a5ed448a6168bbb.html">media_framework</a></li><li class="navelem"><a class="el" href="dir_2216667e0452c61c00f98e2752b3a9f2.html">gstreamer-cpp</a></li><li class="navelem"><a class="el" href="dir_4e35b9dc1e034d94f28a0525077dc4f9.html">include</a></li><li class="navelem"><a class="el" href="dir_a59ae0337ddcda0e5781617847aabb7d.html">core</a></li><li class="navelem"><b>Object.hpp</b></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
